API reference, Document capture

Attach stamp on annotation

POSThttps://demo-api.incodesmile.com/omni/attach-stamp-on-annotation

Substitute stamps from interview to previously uploaded PDF contracts at all places with pdf text annotations. Annotations must contain text with preselected values. Preselected values are:

  • NAME (NAME_STAMP),
  • ADDRESS (ADDRESS_STAMP),
  • DATE #ZoneId# #Format#,
  • AGE,
  • SEX,
  • DOB #Format#,
  • COUNTRY,
  • STATE,
  • PHONE,
  • TIME #ZoneId# #Format#,
  • SECOND_NAME*

Replace parameter ZoneId with full size zone using time zones used in Java8 TimeDate API Replace parameter Format with format you wish to display the time and date

Stamps are added in Helvetica, size 13. Endpoint is intended to be used as fluent api. One call to the api gives in responses id of the signed document which can then be used in the subsequent call to continuously add another signature on a different annotation.

Headers

api-versionstringrequiredDefaults to 1.0

Request body

application/json

contractIdstringrequired

IDs of previously added contract (ID is returned on /add/document?imageType=contract

customFieldsobject

Use to add substitute text for stamps with asterisk Eg: `{ "contractId": "e81cd044-98fd-47b0-b0c5-937b22b69977#contract1", "customFields": { "SECOND_NAME": "Luke Skywalker" } }`

Responses

Was this page helpful?